Subject: bug#1800: 23.0.60; Changed meaning of * in buffer name completion

From: Richard M Stallman <[email-masked]>
Date: Wed, 07 Jan 2009 15:09:09 -0500

Here's another option: only treat * as a wildcard if it doesn't match
    anything existing.  I.e. if you have buffers that start with "*", then
    "*g" will not treat the * as a wildcard.  To force the use of
    a wildcard, we could let the user type "**g".

That too would more or less solve the problem.